Viewing Issue Advanced Details Jump to Notes ] djmain.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05318 Crash/Freeze Critical (emulation) Always Oct 1, 2013, 10:37 Jun 29, 2015, 07:26
Tester s_bastian View Status Public Platform MAME (Official Binary)
Assigned To peterferrie Resolution Fixed OS Windows XP
Status [?] Resolved   Driver djmain.cpp
Version 0.150 Fixed in Version 0.164 Build Normal
Summary 05318: bm1stmix and other: Error on loading CHD / disk error
Description Game hangs when loading Disk Image. Outputs "disk error" after rom check

Tested and working fine on 0.149

Both tested on clean install, no diff or ini or cgf in any folder when running

Also reported on mameitalia.net to happen to all bemani games
Steps To Reproduce run the game
wait roim check
get the error
Additional Information Fixed 0.151 by smf, reintroduced when fixing primal rage 2 loading (05618)
Flags
Regression Version 0.150
Affected Sets / Systems bm1stmix and other
Attached Files
png file icon 0002.png (2,594 bytes)  Oct 1, 2013, 10:37 by s_bastian
s_bastian
png file icon popn10000.png (923 bytes)  Jun 25, 2015, 08:36 by haynor666
haynor666


-  Notes
User avatar
No.09862
Tafoid
(Administrator)
Oct 1, 2013, 16:49
Found regression and possible cause in the time frame of crash (9/9/2013 and 9/10/2013) - r25304
User avatar
No.11792
haynor666
(Tester)
Jun 25, 2015, 08:35
Bug again reappear in but this time error is after initial test.
User avatar
No.11797
peterferrie
(Developer)
Jun 26, 2015, 20:28
fixed again with https://github.com/mamedev/mame/commit/7a2eac723e17e2b9096795d89dc1e01f0bd89aad
and turrett and primrag2 still work